Name:           bti
Version:        034
Release:        3%{?dist}
Summary:        Bash Twitter Idiocy

Group:          Applications/Internet
License:        GPLv2
URL:            https://github.com/gregkh/bti
# kernel.org, not always up to date
Source0:        https://www.kernel.org/pub/software/web/bti/bti-%{version}.tar.xz
# build against the older JSON API available in EPEL6
# new JSON blocked by #903009
Patch0:         bti-034-revert_json_change.patch
# fallback, need to run autotools on these
#Source0:        https://github.com/gregkh/bti/archive/%%{version}.tar.gz

%if 0%{?el5}
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
%endif

%if 0%{?el5}
BuildRequires:  curl-devel
%else
BuildRequires:  libcurl-devel
%endif
# for building from github
%if 0%{?el6}
BuildRequires:  autoconf automake
%endif
# Not using pkgconfig(...) deps yet since we're still supporting EL5
BuildRequires:  pkgconfig
BuildRequires:  liboauth-devel
BuildRequires:  pcre-devel
BuildRequires:  libxml2-devel
BuildRequires:  json-c-devel

%description
Allows you to pipe your bash input to twitter in an easy
and fast manner to annoy the whole world.


%prep
%setup -q
%if 0%{?el6}
%patch0 -p1 -b .revert_json_change
%endif


%build
# for building from github
%if 0%{?el6}
autoreconf --install --symlink
%endif
%configure
make %{?_smp_mflags} LDFLAGS="-L%{_libdir}/readline5"


%install
%if 0%{?el5}
rm -rf $RPM_BUILD_ROOT
%endif
make install DESTDIR=$RPM_BUILD_ROOT
# bash completion
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/bash_completion.d
cp -p bti-bashcompletion $RPM_BUILD_ROOT%{_sysconfdir}/bash_completion.d/bti


%if 0%{?el5}
%clean
rm -rf $RPM_BUILD_ROOT
%endif


%files
%defattr(-,root,root,-)
%license COPYING
%doc ChangeLog README RELEASE-NOTES
%doc bti.example
%config(noreplace) %{_sysconfdir}/bash_completion.d/bti
%{_bindir}/bti
%{_bindir}/bti-shrink-urls
%{_mandir}/man1/*



%changelog
* Mon Jul  4 2016 Michel Alexandre Salim <salimma@fedoraproject.org> - 034-3
- Relinquish ownership of `bash_completion.d` (bz#1192801)
- Use license macro

* Tue Feb 11 2014 Michel Salim <salimma@fedoraproject.org> - 034-2
- Build against older JSON API on EPEL6 (bug #903009)
- Remove references to identi.ca, no longer supported

* Wed Jan 29 2014 Michel Salim <salimma@fedoraproject.org> - 034-1
- Update to 034

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 033-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Jul  4 2013 Michel Salim <salimma@fedoraproject.org> - 033-1
- Update to 033 (switches to new Twitter API)
- Spec clean-up: mark EL5-specific sections

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 032-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 032-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Jun 19 2012 Michel Salim <salimma@fedoraproject.org> - 032-1
- Update to 032

* Fri Feb 10 2012 Petr Pisar <ppisar@redhat.com> - 031-3
- Rebuild against PCRE 8.30

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 031-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Mar 22 2011 Michel Salim <salimma@fedoraproject.org> - 031-1
- Update to 031

* Sat Mar 19 2011 Michel Salim <salimma@fedoraproject.org> - 030-3
- Improved comment marker fix, now safer and handle lines containing both
  non-marker and marker '#'s

* Fri Mar 18 2011 Michel Salim <salimma@fedoraproject.org> - 030-2
- Improve detection of comment marker in configuration file

* Fri Mar 18 2011 Michel Salim <salimma@fedoraproject.org> - 030-1
- Update to 030

* Sat Mar 12 2011 Michel Salim <salimma@fedoraproject.org> - 029-1
- Update to 029

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 028-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Nov  6 2010 Michel Salim <salimma@fedoraproject.org> - 028-3
- Rebuilt for new libxml2 on Rawhide

* Wed Sep 29 2010 jkeating - 028-2
- Rebuilt for gcc bug 634757

* Wed Sep  8 2010 Michel Salim <salimma@fedoraproject.org> - 028-1
- Update to 028

* Thu May 20 2010 Michel Salim <salimma@fedoraproject.org> - 026-1
- Update to 026

* Wed Aug 19 2009 Michel Salim <salimma@fedoraproject.org> - 023-1
- Update to 023
- Build against readline v5, due to licensing incompatibilities with v6
  (bug #511301)

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 015-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Mar 13 2009 Michel Salim <salimma@fedoraproject.org> - 015-1
- Update to 015

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 014-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Feb 23 2009 Michel Salim <salimma@fedoraproject.org> - 014-1
- Update to 014

* Mon Dec 29 2008 Michel Salim <salimma@fedoraproject.org> - 007-1
- Update to 0.0.7

* Thu Aug 28 2008 Michel Salim <salimma@fedoraproject.org> - 005-1
- Initial package
